Subject: bug#43297: 27.1; corrupts patch when diff-update-on-the-fly is set to nil

From: Lars Ingebrigtsen <[email-masked]>
Date: Fri, 16 Oct 2020 08:49:32 +0200

Mark H Weaver <[email-masked]> writes:

> When I set 'diff-update-on-the-fly' to nil, I find that some patches are
> consistently corrupted when I save them while in diff-mode.  See below
> for an example patch that demonstrates this behavior.

This bug is still present in Emacs 28.

An easier way to reproduce this bug is to just load the example patch
into a buffer and then eval-ing

  (diff-fixup-modifs (point-min) (point-max))

This shouldn't change the contents, but it does.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no